import {baseRequest} from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/depotWorkAlarmSet/` + url, ...arg)

/**
 * 出入库异常配置表Api接口管理器
 *
 * @author xiang
 * @date  2023/12/06 09:02
 **/
export default {
	// 获取出入库异常配置表分页
	depotWorkAlarmSetPage(data) {
		return request('page', data, 'get')
	},
	// 获取出入库异常配置表列表
	depotWorkAlarmSetList(data) {
		return request('list', data, 'get')
	},
	// 提交出入库异常配置表表单 edit为true时为编辑，默认为新增
	depotWorkAlarmSetSubmitForm(data, edit = false) {
		return request(edit ? 'add' : 'edit', data)
	},
	// 删除出入库异常配置表
	depotWorkAlarmSetDelete(data) {
		return request('delete', data)
	},
	// 获取出入库异常配置表详情
	depotWorkAlarmSetDetail(data) {
		return request('detail', data, 'get')
	}
}
